<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: DoxyThreadSafeOutput Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_doxy_thread_safe_output.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_doxy_thread_safe_output-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">DoxyThreadSafeOutput Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class encapsulates the data output by Doxygen so it can be shared with Unity in a thread share way.  
 <a href="class_doxy_thread_safe_output.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a84958c6ebe8de10ced504bf5f2fde015"><td class="memItemLeft" align="right" valign="top"><a id="a84958c6ebe8de10ced504bf5f2fde015" name="a84958c6ebe8de10ced504bf5f2fde015"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>ReadLine</b> ()</td></tr>
<tr class="separator:a84958c6ebe8de10ced504bf5f2fde015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97e2149569e2bb5e749851daa2781423"><td class="memItemLeft" align="right" valign="top"><a id="a97e2149569e2bb5e749851daa2781423" name="a97e2149569e2bb5e749851daa2781423"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetFinished</b> ()</td></tr>
<tr class="separator:a97e2149569e2bb5e749851daa2781423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad08186c77f145bc3cb1ddb50259ef589"><td class="memItemLeft" align="right" valign="top"><a id="ad08186c77f145bc3cb1ddb50259ef589" name="ad08186c77f145bc3cb1ddb50259ef589"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetStarted</b> ()</td></tr>
<tr class="separator:ad08186c77f145bc3cb1ddb50259ef589"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc9e32fd7203a5c6c74ee914241c3e79"><td class="memItemLeft" align="right" valign="top"><a id="afc9e32fd7203a5c6c74ee914241c3e79" name="afc9e32fd7203a5c6c74ee914241c3e79"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isStarted</b> ()</td></tr>
<tr class="separator:afc9e32fd7203a5c6c74ee914241c3e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676622488e7bec792b66693fc1f20e73"><td class="memItemLeft" align="right" valign="top"><a id="a676622488e7bec792b66693fc1f20e73" name="a676622488e7bec792b66693fc1f20e73"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isFinished</b> ()</td></tr>
<tr class="separator:a676622488e7bec792b66693fc1f20e73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40486922d565c2b83934fd8e863bf843"><td class="memItemLeft" align="right" valign="top"><a id="a40486922d565c2b83934fd8e863bf843" name="a40486922d565c2b83934fd8e863bf843"></a>
List&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>ReadFullLog</b> ()</td></tr>
<tr class="separator:a40486922d565c2b83934fd8e863bf843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa831eccd758e59c835fd3486c39a4a8c"><td class="memItemLeft" align="right" valign="top"><a id="aa831eccd758e59c835fd3486c39a4a8c" name="aa831eccd758e59c835fd3486c39a4a8c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WriteFullLog</b> (List&lt; string &gt; newLog)</td></tr>
<tr class="separator:aa831eccd758e59c835fd3486c39a4a8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2083e9efa17a35c72d3c2c784ef6800"><td class="memItemLeft" align="right" valign="top"><a id="ab2083e9efa17a35c72d3c2c784ef6800" name="ab2083e9efa17a35c72d3c2c784ef6800"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WriteLine</b> (string newOutput)</td></tr>
<tr class="separator:ab2083e9efa17a35c72d3c2c784ef6800"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This class encapsulates the data output by Doxygen so it can be shared with Unity in a thread share way. </p>
<p ><br  />
 </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Editor/Doxygen/<a class="el" href="_doxygen_window_8cs.html">DoxygenWindow.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_doxy_thread_safe_output.html">DoxyThreadSafeOutput</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
